from lmm.const import LMM_PATH

import yaml


class LMMConfig:
    use_fuse: bool
    overlayfs_command: str
    fusermount_command: str

    @classmethod
    def init(cls):
        # Load the config file
        config = LMM_PATH / "config.yaml"
        if config.exists():
            with open(config, "r") as f:
                data = yaml.load(f, Loader=yaml.CLoader)
        else:
            data = {}

        fuse = data.get("fuse", {})
        cls.use_fuse = fuse.get("enable", False)
        cls.overlayfs_command = fuse.get("overlayfs", "fuse-overlayfs")
        cls.fusermount_command = fuse.get("fusermount", "fusermount")
